Creates a copy of a workflow.

POSThttps://api.awork.com/api/v1/workflows/{workflowId}/copy
POST https://api.awork.com/api/v1/workflows/{workflowId}/copy

Creates a copy of a workflow. The new workflow will have a unique name with " (Copy)" appended.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

workflowIdstringRequired
format: uuid

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon associated with this workflow.

isArchivedbooleanOptional

Whether the workflow has been archived.

isExternalbooleanOptional

True if the workflow is coming from an external workspace (awork Connect). False otherwise.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation